Subject: RE: [MMUSIC] FW: I-D ACTION:draft-taylor-mmusic-sdp-tdm-01.txt

From: "Tom-PT Taylor"<[email-masked]>
Date: Tue, 30 Apr 2002 08:12:48 -0400

The whole point of the draft is to relieve MGs of the necessity to
understand legacy telephony signalling protocols.  I will allow the WGs to
comment on whether this is the right approach, since your proposal is
obviously a workable alternative.

-----Original Message-----
From: Christian Groves [mailto:[email-masked]]
Sent: Monday, April 29, 2002 9:46 PM
To: Taylor, Tom-PT [CAR:B800:EXCH]
Cc: [email-masked]'; [email-masked]'
Subject: Re: [MMUSIC] FW: I-D ACTION:draft-taylor-mmusic-sdp-tdm-01.txt

G'Day Tom,

I've been having a look at the TDM draft and my main comment is regarding
mainly
section 4 TDM attributes although it may have some flow on effects. Whilst
the
list of attributes is rather comprehensive it seems to me that this is a
duplication of already defined values. All of the values can be represented
by
the User Service Information (USI) Q.763 / Bearer Capability information
element
Q.931. Given that TDM terminations will most likely be used in scenarios
where
the Call control will be BICC/ISUP/Q.931 the USI will be available in the
MGC in
the native USI format. It seems pointless to translate the values from
native
USI format to a SDP format where each sub-value of the USI is defined as
seperate attributes. An attribute to carry USI has already been defined in
the
SG11 work for BICC ie.
a=isup_usi: <value of USI in hex digits as specified in ITU-T Q.1902.3/§
6.102
[5]>
The left most hex digit pair (e.g. EF in the following sequence EF 23 12 13)
represents the first binary octet that would be transmitted as per Q.1902.3
§
5.10.)

By specifying that a=isup_usi be used instead of the values in section it
will
mean that currently defined vertical protocol for ISUP and BICC will be
consistant with your draft.

Regards, Christian

Tom-PT Taylor wrote:
> 
> I have recycled this document at last.  Material relating to Nx64 kbit/s
or
> multilink operation has been stripped out, and material relating to H.320
> and H.324 sessions has been modified to conform to the latest views of how
> Megaco operates.  I forgot to put in the MIME registrations for
audio/PCMU,
> audio/PCMA, audio/G726xx, and application/octet-stream all over TDM
> transport, but I'll do that on the next pass.
> 
> I sent a copy to Jim Renkel, who had urged that requirements for
> CAS-signalled TDM be taken into account when I first presented this to
> MMUSIC.  I have no idea what additional requirements he has in mind, but
> I'll see.  In the meantime, does anyone else have comments?  We need this
> for NAS operation.
> 
> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]
> Sent: Tuesday, April 09, 2002 8:41 AM
> Subject: I-D ACTION:draft-taylor-mmusic-sdp-tdm-01.txt
> 
> A New Internet-Draft is available from the on-line Internet-Drafts
> directories.
> 
>         Title           : Conventions for the use of the Session
Description
> 
>                           Protocol (SDP)for Digital Circuit Connections
>         Author(s)       : T. Taylor
>         Filename        : draft-taylor-mmusic-sdp-tdm-01.txt
>         Pages           : 14
>         Date            : 08-Apr-02
> 
> This document describes conventions for using the Session
> Description Protocol (SDP) for controlling digital circuits.  These
> conventions describe
> - circuit addressing conventions for use on the SDP 'c=' line
> - content of the 'm=' line(s) for digital circuits
> - attributes to convey the parameters contained within the Bearer
> Capability, Low Layer Compatibility, and High Layer Compatibility
> Information Elements of ITU-T Recommendation Q.931.
> These conventions have been defined for use in media gateway
> control, particularly in support of NAS operation, but may also be
> used by IP-based call signalling schemes (SIP, BICC) to control
> media exchange over digital circuits.
> 
> A URL for this Internet-Draft is:
> http://www.ietf.org/internet-drafts/draft-taylor-mmusic-sdp-tdm-01.txt
> 
> To remove yourself from the IETF Announcement list, send a message to
> ietf-announce-request with the word unsubscribe in the body of the
message.
> 
> Internet-Drafts are also available by anonymous FTP. Login with the
username
> "anonymous" and a password of your e-mail address. After logging in,
> type "cd internet-drafts" and then
>         "get draft-taylor-mmusic-sdp-tdm-01.txt".
> 
> A list of Internet-Drafts directories can be found in
> http://www.ietf.org/shadow.html
> or ftp://ftp.ietf.org/ietf/1shadow-sites.txt
> 
> Internet-Drafts can also be obtained by e-mail.
> 
> Send a message to:
>         [email-masked].
> In the body type:
>         "FILE /internet-drafts/draft-taylor-mmusic-sdp-tdm-01.txt".
> 
> NOTE:   The mail server at ietf.org can return the document in
>         MIME-encoded form by using the "mpack" utility.  To use this
>         feature, insert the command "ENCODING mime" before the "FILE"
>         command.  To decode the response(s), you will need "munpack" or
>         a MIME-compliant mail reader.  Different MIME-compliant mail
readers
>         exhibit different behavior, especially when dealing with
>         "multipart" MIME messages (i.e. documents which have been split
>         up into multiple messages), so check your local documentation on
>         how to manipulate these messages.
> 
> 
> Below is the data which will enable a MIME compliant mail reader
> implementation to automatically retrieve the ASCII version of the
> Internet-Draft.
> 
> -----
> To:
> Subject:
> Date: Tue, 9 Apr 2002 09:51:14 -0400
> X-Mailer: Internet Mail Service (5.5.2653.19)
> 
> _______________________________________________
> mmusic mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/mmusic
> 
>                Name: ATT64470
>    ATT64470    Type: unspecified type (application/octet-stream)
>            Encoding: x-uuencode
> 
>                                          Name:
draft-taylor-mmusic-sdp-tdm-01.url
>    draft-taylor-mmusic-sdp-tdm-01.url    Type: Internet Shortcut
(application/x-unknown-content-type-InternetShortcut)
>                                      Encoding: x-uuencode

_______________________________________________
mmusic mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mmusic